Skip to main content

List Keys

Retrieve all API keys for your account. Key values are masked.

GET /api/v1/api-keys

Authentication

JWT Bearer Token required via Authorization header.

Response

200 OK

{
"data": [
{
"id": "key_abc123",
"name": "Production Server",
"keyPreview": "as_live_sk_abc...789",
"scopes": ["splits:read", "splits:write"],
"lastUsedAt": "2026-03-29T09:45:00Z",
"createdAt": "2026-01-15T10:00:00Z",
"expiresAt": "2027-01-01T00:00:00Z"
},
{
"id": "key_def456",
"name": "Staging Server",
"keyPreview": "as_test_sk_def...012",
"scopes": ["splits:read", "splits:write"],
"lastUsedAt": null,
"createdAt": "2026-03-01T10:00:00Z",
"expiresAt": null
}
]
}

Code Examples

cURL

curl https://api.audiospliter.com/api/v1/api-keys \
-H "Authorization: Bearer your_jwt_token"

Node.js

const response = await fetch('https://api.audiospliter.com/api/v1/api-keys', {
headers: { 'Authorization': `Bearer ${jwtToken}` },
});
const { data } = await response.json();
data.forEach(key => console.log(`${key.name}: ${key.keyPreview}`));

Python

import requests

response = requests.get(
'https://api.audiospliter.com/api/v1/api-keys',
headers={'Authorization': f'Bearer {jwt_token}'},
)
for key in response.json()['data']:
print(f"{key['name']}: {key['keyPreview']}")